import Taro, { Component } from '@tarojs/taro';
import './index.scss'
import { transferImage } from '@utils/tools'

export default class Index extends Component {
    state = {
        show: true,
    }
    static options = {
        addGlobalClass: true,
    };
    static defaultProps = {
        style: {},
        data: []
    }
    handleClick() {
        setTimeout(() => {
            this.setState({
                show: false
            })
        }, 260)
    }
    handleClickTwo() {
        setTimeout(() => {
            this.setState({
                show: true
            })
        }, 260)
    }
    render() {
        const { show } = this.state
        const { data,style } = this.props
        return (
            <View >
                {/* {show && */}
                <View className={show ? "consultant show" : "consultant hide"} style={style} onClick={this.handleClick}  >
                    <Image src={require('@assets/person/left.png')} className='left-img'></Image>
                    <Image src={transferImage(data.touxiang)} className='img'></Image>
                    <View className="text">{data.name}</View>
                </View>
                {/* } */}
                {/* {!show && */}
                <View className={show ? "consultant-more hide " : "consultant-more more-show "} style={style} >
                    <Image src={require('@assets/person/cancel.png')} onClick={this.handleClickTwo} className='cancel-img'></Image>
                    <Image src={transferImage(data.touxiang)}  className='touxiang'></Image>
                    <View className="text">
                        <View className="name">{data.name}</View>
                        <View className="company">{data.company}</View>
                    </View>
                    <Image src={require('@assets/person/phone.png')} className='phone-img'></Image>
                    <Image src={require('@assets/person/message.png')} className='message-img'></Image>
                </View>
                {/* } */}

                <View>
                </View>
            </View>
        );
    }
}